%define upstream_name    CSS-Packer
%define upstream_version 2.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Another CSS minifier
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CSS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(Regexp::RegGrp) >= 1.1_1
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
A fast pure Perl CSS minifier.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sat May 28 2016 shlomif <shlomif> 2.20.0-1.mga6
+ Revision: 1019175
- New version 2.02

* Thu Feb 18 2016 umeabot <umeabot> 2.0.0-2.mga6
+ Revision: 967195
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 shlomif <shlomif> 2.0.0-1.mga6
+ Revision: 848299
- update to 2.00

* Sun Oct 19 2014 umeabot <umeabot> 1.2.1-6.mga5
+ Revision: 790309
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.2.1-5.mga5
+ Revision: 741761
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.1-4.mga5
+ Revision: 683715
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 509570
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.2.1-2.mga3
+ Revision: 363720
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 18 2012 kharec <kharec> 1.2.1-1.mga3
+ Revision: 261435
- imported package perl-CSS-Packer

